### Enumeration

# Camel_search_match_t

#### Declaration

    enum Camel._search_match_t

#### Description

No description available.

#### Members

`CAMEL_SEARCH_MATCH_EXACT`

  No description available.

  - Value: `0`
  - Available since: 1.2
`CAMEL_SEARCH_MATCH_CONTAINS`

  No description available.

  - Value: `1`
  - Available since: 1.2
`CAMEL_SEARCH_MATCH_WORD`

  No description available.

  - Value: `2`
  - Available since: 1.2
`CAMEL_SEARCH_MATCH_STARTS`

  No description available.

  - Value: `3`
  - Available since: 1.2
`CAMEL_SEARCH_MATCH_ENDS`

  No description available.

  - Value: `4`
  - Available since: 1.2
`CAMEL_SEARCH_MATCH_SOUNDEX`

  No description available.

  - Value: `5`
  - Available since: 1.2
`CAMEL_SEARCH_MATCH_REGEX_SINGLELINE`

  No description available.

  - Value: `6`
  - Available since: 1.2
`CAMEL_SEARCH_MATCH_REGEX_MULTILINE`

  No description available.

  - Value: `7`
  - Available since: 1.2